# TObj_Container.hxx File Reference

`#include <NCollection_DefineBaseCollection.hxx>`
`#include <NCollection_DefineDataMap.hxx>`
`#include <NCollection_DefineSequence.hxx>`
`#include <NCollection_DefineHSequence.hxx>`
`#include <TCollection_AsciiString.hxx>`
`#include <TCollection_HExtendedString.hxx>`
`#include <TDF_Label.hxx>`
`#include <TObj_Common.hxx>`
`#include <TObj_SequenceOfObject.hxx>`

## Functions

| DEFINE_BASECOLLECTION (TObj_CollectionOfHSeqOfObject, Handle(TObj_HSequenceOfObject)) DEFINE_DATAMAP(TObj_DataMapOfNameLabel
| Handle (TCollection_HExtendedString)

## Variables

| TObj_CollectionOfLabel
TDF_Label | DEFINE_DATAMAP (TObj_DataMapOfObjectHSequenceOcafObjects, TObj_CollectionOfHSeqOfObject, Handle_TObj_Object, Handle_TObj_HSequenceOfObject) DEFINE_DATAMAP(TObj_DataMapOfStringPointer
TDF_Label | TObj_CollectionOfPointer
TDF_Label | TCollection_AsciiString

## Function Documentation

DEFINE_BASECOLLECTION | ( | TObj_CollectionOfHSeqOfObject | ,
|  | Handle(TObj_HSequenceOfObject) |
| ) |

Handle | ( | TCollection_HExtendedString |  | ) |

## Variable Documentation

TDF_Label DEFINE_DATAMAP(TObj_DataMapOfObjectHSequenceOcafObjects, TObj_CollectionOfHSeqOfObject, Handle_TObj_Object, Handle_TObj_HSequenceOfObject) DEFINE_DATAMAP(TObj_DataMapOfStringPointer

TDF_Label TCollection_AsciiString

TObj_CollectionOfLabel

TDF_Label TObj_CollectionOfPointer